#include<iostream>
#include<cstring>
using namespace std;
int main()
{
	int n;
	cin>>n;
	string s;
	cin>>s;
	int d=s.length();
	if(d<=n)
    cout<<s;
    else
    {
    	for(int i=0;i<n;i++)
    	cout<<s[i];
	    cout<<"...";
	}
}